#!/bin/bash

export PI_JS_PROXY_EXT_CRATES="../pi_core_lib;../pi_serv_lib"
export PI_JS_PROXY_TS_PATH="../pi_pt"

cargo clean --target-dir target/release/pi_serv
cargo b --release

# 计算MD5哈希值
md5_1=$(md5sum "./target/release/gn_out/obj/librusty_v8.a" | awk '{print $1}')
md5_2=$(md5sum "../v8/lib/rusty_v8/linux/release/librusty_v8.a" | awk '{print $1}')

# 对比哈希值
if [ "$md5_1" == "$md5_2" ]; then
  echo "Files are identical."
else
  echo "Error: Files are different."
  exit 1
fi
